Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040138
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2019-01-15 13:092019-03-05 17:48
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision929e2ce652fc
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040138: Problem with the invoice line-shipment lines relations

DescriptionWhen creating an invoice line before the shipment line is created, if the shipment line is created later, the relation between the invoice and shipment line is not set.
Steps To ReproduceSynchronize a ticket in the Web POS that creates an invoice but doesn't deliver the lines. Use prepayments for that purpose.

After that, deliver the ticket, creating the shipment and shipment lines.

Check that the invoice and shipment lines are not related.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039952 closedasiermartirena Problem with the invoice line-shipment lines relations 

-  Notes
(0109864)
hgbot (developer)
2019-02-15 13:00

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 929e2ce652fca7b2f2d5e07b26dc53e5ae01f4a3
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Fri Feb 15 13:00:13 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/929e2ce652fca7b2f2d5e07b26dc53e5ae01f4a3 [^]

Fixed issue 40138: Problem with the invoice line-shipment lines relations

Now when a shipment is created after the invoice is created, the relation between the invoice line and the shipment line is set.
Also now in the InvoiceUtils.java class it is supported to create an invoice for a line that has already an invoice and a shipment, but the invoiced quantity is lower than the shipped quantity. This situation is cannot occur in the Web POS at now.

---
M src/org/openbravo/retail/posterminal/utility/InvoiceUtils.java
M src/org/openbravo/retail/posterminal/utility/ShipmentUtils.java
---
(0110242)
jorge-garcia (developer)
2019-03-05 17:48

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-05 11:54 marvintm Type defect => backport
2019-02-05 11:54 marvintm Target Version => RR19Q1
2019-02-15 13:00 hgbot Checkin
2019-02-15 13:00 hgbot Note Added: 0109864
2019-02-15 13:00 hgbot Status scheduled => resolved
2019-02-15 13:00 hgbot Resolution open => fixed
2019-02-15 13:00 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/efd1c21ff78b9d532481929f74b65c5d7d65ee2c [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/929e2ce652fca7b2f2d5e07b26dc53e5ae01f4a3 [^]
2019-03-05 17:48 jorge-garcia Review Assigned To => jorge-garcia
2019-03-05 17:48 jorge-garcia Note Added: 0110242
2019-03-05 17:48 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker